* {
  box-sizing: border-box;
  margin: 0;
}

@font-face {
  font-family: "Urbanist", serif;
  src: url(https://fonts.googleapis.com/css2?family=Urbanist:ital,wght@0,100..900;1,100..900&display=swap);
}

html {
  font-size: 16px;
  font-family: "Urbanist", serif;
  line-height: 1.2;
}

header {
  padding: 1rem 1rem 0 1rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

h1 {
  font-size: 1rem;
  font-weight: 400;
}

nav {
  display: flex;
  gap: 1rem;
}

nav a {
  color: #000;
  text-underline-offset: 2px;
}

section {
  display: grid;
  grid-template-columns: 3fr 2fr 3fr 0fr 0fr 0fr;
  gap: 0;
  width: 100%;
  height: 100vh;
  cursor: e-resize;
  padding: 1rem 0.5rem;
  transition: grid-template-columns 0.4s;
}

section div {
  overflow: hidden;
  opacity: 1;
  transition: opacity 0.4s;
}

section div.hide {
  opacity: 0;
}

img {
  max-width: 100%;
  object-fit: cover;
  aspect-ratio: 4 / 5;
}

figure {
  width: 100%;
  padding: 0 0.5rem;
}

figcaption {
  max-width: 10rem;
  margin: 0.25rem 0 0 0;
}
